Support » Plugin: CPT Bootstrap Carousel » Carousel broken with https

Viewing 2 replies - 1 through 2 (of 2 total)
  • I get this error in Chrome:

    Mixed Content: The page at ‘https://fil-magic.ch/’ was loaded over HTTPS, but requested an insecure image ‘http://fil-magic.ch/fil-magic/wp-content/uploads/2015/06/GESCHENKE.jpg’. This request has been blocked; the content must be served over HTTPS.

    Can I solve this? Or it’s an issue from the plugin?

    Plugin Author Phil Ewels

    (@tallphil)

    Hi knoxi,

    You hit the nail on the head – when loading an encoded page over https, most browsers won’t include embedded content which isn’t encoded, to ensure security.

    Your particular problem is that you set up the carousel images when browsing the site at the http address, so all of the links to the embedded images use http. If you replace these with https versions it should work on both sites (https content will work inside http pages). This isn’t really an issue with the plugin, more a general issue.

    To be honest, unless you have a good reason not to, I’d recommend always serving the entire website only over https. You can do this with a redirection or a number of other methods. This will make your life much easier in the long run 🙂

    Phil

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Carousel broken with https’ is closed to new replies.